Package com.xebialabs.xlrelease.domain

## Class RoleIdExtension

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.ReleaseExtension
    - - com.xebialabs.xlrelease.domain.RoleIdExtension

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false)
      public class RoleIdExtension
      extends ReleaseExtension

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ROLE_IDS_METADATA_PREFIX` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RoleIdExtension()` |
    `RoleIdExtension​(java.lang.String ciId, java.util.Map<java.lang.String,​java.lang.String> idsToRoleName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object thatObject)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getIdsToRoleName()` |
    `int` | `hashCode()` |
    `void` | `setIdsToRoleName​(java.util.Map<java.lang.String,​java.lang.String> idsToRoleName)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

      `accept, getVariableUsages`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROLE_IDS_METADATA_PREFIX

          public static final java.lang.String ROLE_IDS_METADATA_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RoleIdExtension

          public RoleIdExtension()

    - #### RoleIdExtension

          public RoleIdExtension​(java.lang.String ciId,
                                 java.util.Map<java.lang.String,​java.lang.String> idsToRoleName)

  - ### Method Detail

    - #### getIdsToRoleName

          public java.util.Map<java.lang.String,​java.lang.String> getIdsToRoleName()

    - #### setIdsToRoleName

          public void setIdsToRoleName​(java.util.Map<java.lang.String,​java.lang.String> idsToRoleName)

    - #### equals

          public boolean equals​(java.lang.Object thatObject)

      Overrides:
        `equals` in class `BaseConfigurationItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseConfigurationItem`